Name:           lame
Version:        3.96
Release:        0.lvn.1.2
Epoch:          0
Summary:        A free MP3 audio compression codec

Group:          Applications/Multimedia
License:        LGPL
URL:            http://lame.sourceforge.net/
Source0:        http://dl.sf.net/lame/lame-3.96.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  ncurses-devel, gtk+-devel
%ifarch %{ix86}
BuildRequires:  nasm, gcc >= 0:3.2
%endif
Requires:       ncurses >= 0:5.0

%description
LAME is an open source MP3 encoder whose quality and speed matches
commercial encoders. LAME handles MPEG1,2 and 2.5 layer III encoding
with both constant and variable bitrates.

%package devel
Summary:        Header files and static libraries for %{name}
Group:          Development/Libraries
Requires:       %{name} = %{epoch}:%{version}-%{release}

%description    devel
This package contains header files and static libraries for %{name}.


%prep
%setup -q


%build
%ifarch %{ix86}
export CFLAGS="$RPM_OPT_FLAGS -ffast-math"
%endif
%configure \
%ifarch %{ix86}
  --enable-nasm \
%endif
  --enable-decoder \
  --enable-mp3x \
  --enable-mp3rtp \
  --enable-brhist

make #%{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

# Some apps still expect to find <lame.h>
ln -sf lame/lame.h $RPM_BUILD_ROOT%{_includedir}/lame.h
rm -rf $RPM_BUILD_ROOT%{_docdir}/%{name}


%check || :
make test


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr (-,root,root,-)
%doc COPYING ChangeLog README TODO USAGE LICENSE doc/html/*.html doc/html/*.css
%{_bindir}/lame
%{_bindir}/mp3rtp
%{_bindir}/mp3x
%{_libdir}/libmp3lame.so.*
%{_mandir}/man1/lame.1*

%files devel
%defattr (-,root,root,-)
%doc API HACKING STYLEGUIDE
%{_libdir}/libmp3lame.a
%exclude %{_libdir}/libmp3lame.la
%{_libdir}/libmp3lame.so
%{_includedir}/lame
%{_includedir}/lame.h

%changelog
* Thu Apr 15 2004 Marius L. Jøhndal <mariuslj at ifi.uio.no> - 0:3.96-0.lvn.1
- Updated to 3.96.

* Tue Jan 27 2004 Ville Skyttä <ville.skytta at iki.fi> - 0:3.95.1-0.lvn.3
- Enable mp3x and mp3rtp.
- Run tests in the %%check section.
- Use "make install DESTDIR=..." instead of %%makeinstall.
- s/fdr/lvn/ in release tag.

* Tue Jan 27 2004 Marius L. Jøhndal <mariuslj at ifi.uio.no> 0:3.95.1-0.fdr.2
- Disabled parallel make (#61).

* Sat Jan 17 2004 Marius L. Jøhndal <mariuslj at ifi.uio.no> 0:3.95.1-0.fdr.1
- Updated to 3.95.1.
- Spec file edited to match current Fedora template.
- Re-wrote descriptions.
- Converted spec file to UTF-8.

* Sat Aug 16 2003 Marius L. Jøhndal <mariuslj at ifi.uio.no> 0:3.93.1-0.fdr.8
- Patch configure instead of configure.in to avoid regenerating build files (bug 223).

* Mon Jul 21 2003 Marius L. Jøhndal <mariuslj at ifi.uio.no> 0:3.93.1-0.fdr.7
- Rebuild to get source permissions right (bug 223).
- Removed Requires: /usr/bin/find (bug 223).

* Sat May 10 2003 Marius Jøhndal <mariuslj at ifi.uio.no> 0:3.93.1-0.fdr.6
- Use RPM_BUILD_ROOT and RPM_OPT_FLAGS instead of macros.

* Sat May 10 2003 Marius Jøhndal <mariuslj at ifi.uio.no> 0:3.93.1-0.fdr.5
- Backed out Vorbis changes (bug 198, 223).

* Fri May  2 2003 Marius Jøhndal <mariuslj at ifi.uio.no> 0:3.93.1-0.fdr.4
- Fixed problems with Makefiles being removed from documentation upon 
  installation.

* Fri Apr 25 2003 Marius Jøhndal <mariuslj at ifi.uio.no> 0:3.93.1-0.fdr.3
- Honour %optflags.
- Vorbis support (bug #198).
- Added LICENSE to documentation.

* Fri Apr  4 2003 Marius Jøhndal <mariuslj at ifi.uio.no> 0:3.93.1-0.fdr.2
- Minor adjustments of optimisation flags and configure settings.
- Killed some noise caused by a bad gtk macro. 
- Added epoch numbers to requires.

* Wed Apr  2 2003 Marius Jøhndal <mariuslj at ifi.uio.no> 0:3.93.1-0.fdr.1
- Initial Fedora RPM release.

* Mon Mar 31 2003 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Rebuilt for Red Hat Linux 9.
- Exclude .la file.

* Mon Jan 13 2003 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 3.93.1.
- Removed Epoch: tag, upgrade by hand! :-/

* Sat Oct  5 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Fix unpackaged doc problem.

* Fri Sep 27 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Rebuilt for Red Hat Linux 8.0.
- Simplified deps as it now builds VBR code fine with default nasm and gcc 3.2.

* Tue Jul 16 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Fix to the lamecc stuff.

* Wed Jul 10 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Changes to now support ppc with no ugly workarounds.

* Thu May  2 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Rebuilt against Red Hat Linux 7.3.
- Added the %%{?_smp_mflags} expansion.

* Wed Apr 24 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 3.92.

* Mon Apr  8 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Added a symlink from lame.h to lame/lame.h to fix some include file
  detection for most recent programs that use lame.

* Wed Jan  2 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 3.91.
- Simplified the compilation optimizations after heavy home-made tests.
- Now build only i386 version but optimized for i686. Don't worry i686
  owners, you loose only 1% in speed but gain about 45% compared to if
  you had no optimizations at all!

* Mon Dec 24 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 3.90.1.
- Enabled the GTK+ frame analyzer.
- Spec file cleanup (CVS, man page, bindir are now fixed).

* Fri Nov 16 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Rebuilt with mpg123 decoding support.

* Tue Oct 23 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Fixed the %pre and %post that should have been %post and %postun, silly me!
- Removed -malign-double (it's evil, Yosi told me and I tested, brrr ;-)).
- Now build with gcc3, VBR encoding gets a hell of a boost, impressive!
  I recommend you now use "lame --r3mix", it's the best.
- Tried to re-enable vorbis, but it's a no-go.

* Thu Jul 26 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Build with kgcc to have VBR working.

* Wed Jul 25 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 3.89beta : Must be built with a non-patched version of nasm
  to work!

* Mon May  7 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Rebuilt for Red Hat 7.1.
- Disabled the vorbis support since it fails to build with it.
- Added a big optimisation section, thanks to Yosi Markovich
  <senna@camelot.com> for this and other pointers.

* Sun Feb 11 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Split the package, there is now a -devel

* Thu Oct 26 2000 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Initial RPM release for RedHat 7.0 from scratch

